export const FormInput = ({
                              type = "text", placeholder, value, onChange,
                              error, maxLength, className = ""
                          }) => {
    return (
        <div className="input-group">
            <input type={type} placeholder={placeholder} value={value} onChange={onChange}
                   className={`${error ? "error" : ""} ${className}`} maxLength={maxLength}/>
            {error && <div className="error-message">{error}</div>}
        </div>
    );
};
